Airwallex logo

Offboardings

Copy for LLMView as Markdown

Simulate status transitions for connected account offboarding in the sandbox environment.

Endpoints
POST /api/v1/simulation/accounts/{account_id}/offboardings/{id}/cancel
POST /api/v1/simulation/accounts/{account_id}/offboardings/{id}/complete

Cancel an Offboarding

POST /api/v1/simulation/accounts/{account_id}/offboardings/{id}/cancel

Use this endpoint to simulate cancelling the offboarding of a connected account.

Parameters
account_idrequiredstring

Connected account open ID.

idrequiredstring

Unique ID for the offboarding.

Response body - 200 OK
commentstring

Additional notes or comments regarding the offboarding.

created_atstring

The time when the offboarding request was created.

idstring

Unique ID for the offboarding.

reason_codestring

Reasons for the account offboarding provided by the customer.

statusstring

Offboarding status.

PENDING

The offboarding request has been received and is currently being processed.

COMPLETED

The offboarding request is complete and the account has been closed.

CANCELLED

The offboarding request has been cancelled.

updated_atstring

The time when the offboarding request was last updated.

Errors
Error statusDescription
400

Possible errors: invalid_argument, invalid_status_for_operation

401

credentials_invalid

404

Possible errors: not_found

500

service_unavailable

POST /api/v1/simulation/accounts/{account_id}/offboardings/{id}/cancel
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/simulation/accounts/account_id/offboardings/offboarding_id/cancel' \
> --header 'Authorization: Bearer <token>' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "comment": "offboard by platform through client api",
3 "created_at": "2026-03-24T10:00:00+0000",
4 "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
5 "reason_code": "OTHER",
6 "status": "CANCELLED",
7 "updated_at": "2026-06-15T12:00:00+0000"
8}
Was this section helpful?

Complete an Offboarding

POST /api/v1/simulation/accounts/{account_id}/offboardings/{id}/complete

Use this endpoint to simulate completing the offboarding of a connected account.

Parameters
account_idrequiredstring

Connected account open ID.

idrequiredstring

Unique ID for the offboarding.

Response body - 200 OK
commentstring

Additional notes or comments regarding the offboarding.

created_atstring

The time when the offboarding request was created.

idstring

Unique ID for the offboarding.

reason_codestring

Reasons for the account offboarding provided by the customer.

statusstring

Offboarding status.

PENDING

The offboarding request has been received and is currently being processed.

COMPLETED

The offboarding request is complete and the account has been closed.

CANCELLED

The offboarding request has been cancelled.

updated_atstring

The time when the offboarding request was last updated.

Errors
Error statusDescription
400

Possible errors: invalid_argument, invalid_status_for_operation

401

credentials_invalid

404

Possible errors: not_found

500

service_unavailable

POST /api/v1/simulation/accounts/{account_id}/offboardings/{id}/complete
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/simulation/accounts/account_id/offboardings/offboarding_id/complete' \
> --header 'Authorization: Bearer <token>' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "comment": "offboard by platform through client api",
3 "created_at": "2026-03-24T10:00:00+0000",
4 "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
5 "reason_code": "OTHER",
6 "status": "COMPLETED",
7 "updated_at": "2026-06-15T12:00:00+0000"
8}
Was this section helpful?